Routes
You're reading version 2024-06-01, which is not the latest. The latest is 2026-04-01: open the 2026-04-01 introduction.
Get the current status of a data collection
GEThttps://api.insurely.com/wealth/collection/{collectionId}/status
Returns the current status of an initiated collection of wealth data.
Request
Path Parameters
collectionIdstring
Header Parameters
Insurely-Versionstring
Possible Enum values are
2024-06-01.Responses
Status successfully fetched.
Body
companystring
Company that this collection is from
extraInformationCollectionStatusInformationMap
A key-value map containing potential extra information, depending on the company the collection is getting data from.
idstring
The collection ID of the request
pollingTimeoutstring[date-time]
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
statusstring
Current status of the collection.
Possible Enum values are
RUNNING, LOGIN, TWO_FACTOR_PENDING, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/status \
-H "Insurely-Version: 2024-06-01"